# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(RT.pm) perl(Socket.pm) perl(Test/Simple.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name RTx-From
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Make it easier to find users and their tickets
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JP/JPIERCE/%module_name-%module_version.tgz
BuildArch: noarch

%description
It can be hard to remember the exact name and email address of a user.
While powerful, the Configuration/Users search form can be tedious, nor
is it an obvious location. Therefore this simple plugin:

=over

=item Adds a `from:' operator to Simple Search.

Note that unlike most other operators, which modify ticket queries,
this operator acts on principals and therefore cannot be meaningfully
combined with other search terms. The results of doing so are undefined
and unsupported. However, you may supply multiple `from:' terms, which
will be OR'd together.

There is also a work-around if you wish to perform a complex query for
tickets from a fuzzily-remembered requestor:

=over

=item * Search with `from:'

=item * Select "Requested" for the desired user

=item * "Edit Search"

=back

=item Adds a brief description of the operator, and a link to the native
user search on Search/Simple.html.

=item Adds a sub-tab on a user's profile to a query for his tickets.

=item Lastly, if RTx::BecomeUser is loaded and accessible by the current user,
the search results stemming from a `from:' search will include links to
convenience links to become ach of the matching users.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc TODO README CHANGES
%perl_vendor_privlib/R*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

